
tasks:

- in endorser-push-server - mount folder for persistent sqlite DB outside of container
- 40 notifications :
  - push, where we trigger a ServiceWorker(?) in the app to reach out and check for new data assignee:matthew

- 01 Replace Gifted/Give in ContactsView with GiftedDialog assignee:matthew

- 01 fix the Discovery map display to not show on top of bottom icons (and any other UI tweaks on the map flow) assignee-group:ui
- .1 add instructions for map location selection

- 01 Show pop-up or some message confirming that settings & contacts download has been initiated/finished

- 01 Ensure each action sent to the server has a confirmation - eg registration (ie a toast something that dismisses after 5-10s)

- Home Feed & Quick Give screen :
  - 01 save the feed-viewed status in settings storage ("afterQuery")
  - 01 quick action - send action, maybe choose via canvas tool 
    - SEE: https://github.com/konvajs/vue-konva

- 24 Move to Vite assignee:matthew

- .5 switch so DiscoverView shows anywhere by default, and no number unless search is done (and maybe a better filter UI, including "mine" to consolidate with ProjectsView)
- .2 fit as many icons as possible on home & project view screens but only going halfway down the page assignee-group:ui
- .5 Add infinite scroll to gifts on the home page
- .5 bug - search for "Safari" does not find the project, but if already on the "Anywhere" tab it shows all
- .2 figure out why endorser-mobile search doesn't find recently created PlanAction
- .1 when creating a plan, select location and then make sure you can deselect on Android
- .5 add link to further project / people when a project pays ahead
- .5 add project ID to the URL of the project-view, to make a project publicly-accessible
- .5 fix where user 0 sees no txns from user 1 on contacts page but sees them on list page
- .2 on ProjectViewView, show different messages for "to" and "from" sections if none exist
- .2 fix rate limit verbiage (with the new one-per-day allowance) assignee:trent
- .1 remove the logic to exclude beforeId in list of plans after server has commit 26b25af605e715600d4f12b6416ed9fd7142d164
- .2 in SeedBackupView, don't load the mnemonic and keep it in memory; only load it when they click "show"
- .1 Make give description text box into something that expands as they type
- .1 Make contact info specific to Time Safari - rather pointing at CommunityCred.org

- Discuss whether the remaining tasks are worthwhile before MVP release.

- 04 allow user to download claims, mine + ones I can see about me from others
- 02 allow user to create new DIDs from the same seed phrase (ie. increment derivation path)
- .5 on ProjectView page, show immediate feedback when a gift is given (on list?) -- and consider the same for Home & Contacts pages
- .5 customize favicon assignee-group:ui
- .2 Show a warning if both giver and recipient are the same (but still allow?)
- 01 Would it look better to shrink the buttons on many pages so they don't expand to the width of the screen? assignee-group:ui
- .5 Display a more appealing confirmation on the map when erasing the marker
- .5 make a VC details page
- .1 Add units or different icon to the coins (to distinguish $, BTC, hours, etc)
- .5 include the hash of the latest commit on help page next to version
- .5 remove references to localStorage for projectId (now that it's pulling from the path)

- contacts v+ :
  - 01 Import all the non-sensitive data (ie. contacts & settings).
  - .2 show error to user when adding a duplicate contact
  - 01 parse input more robustly (with CSV lib and not commas)

- stats v1 :
  - 01 show numeric stats
  - 04 show different graphic for projects vs people on world
  - 01 link to world for specific stats
  - .5 don't load another instance of a bush if it already exists
  - maybe - allow type annotations in World.js & landmarks.js (since we get this error - "Types are not supported by current JavaScript version")
  - 08 convert to cleaner implementation (maybe Drie -- https://github.com/janvorisek/drie)

- Release Minimum Viable Product :
  - 08 thorough testing for errors & edge cases
  - Turn off stats-world or ensure it's usable (eg. cannot zoom out too far and lose world, cannot screenshot).
  - Add disclaimers.
  - Switch default server to the public server.
  - Deploy to a server.
  - Ensure public server has limits that work for group adoption.
  - Test PWA features on Android and iOS.
  blocks: ref:https://raw.githubusercontent.com/trentlarson/lives-of-gifts/master/project.yaml#kickstarter%20for%20time

- .5 show seed phrase in a QR code for transfer to another device

- 32 accept images for projects
- 32 accept images for contacts

- linking between projects or plans :
  - show total time given to & from a project
  - terminology:
    - for subtasks: fulfills (is it really the same?), feeds, contributes to, supplies, boosts, advances
    - for blocking: blocks, precedes, comes before, is sought by -- vs follows, seeks, builds on ("contributes to" isn't specific enough, "succeeds" has different, possibly confusing meaning)

- Stats :
  - 01 point out user's location on the world
  - 01 present a credential selected from the stats
  - 04 show gives spreading to other places
  - badge for most gives/receives/confirms per day/week/month
  - badge for amount given/offered to your project
  - set a goal of given/offers

- automated tests, eg. cypress

- Notifications (wake on the phone, push notifications)

- Connect with phone contacts

- Multiple identities

- Peer DID

- DIDComm

- Write to or read from a different ledger (eg. private ACDC, attest.sh)

- Do we want split first name & last name?

- 40 notifications v+ :
  - pull, w/ scheduled runs

- 01 On nearby search, if user starts changing their box but cancels and goes back to the map it is zoomed far out. Fix to fit the box better.

log:
- videos for multiple identities https://youtu.be/p8L87AeD76w and for adding time to contacts https://youtu.be/7Yylczevp10 done:2023-03-29
- project lists, contact totals & actions, multiple identifiers, stats-world, activity feed, rename of this project file (use "--follow --") milestone:2 done:2023-06-27
